# Lua::registerCallback

(No version information available, might only be in Git)

Lua::registerCallback — Enregistre une fonction PHP en Lua

### Description

public Lua::registerCallback(string `$name`, callable `$function`): mixed

Enregistre une fonction PHP en Lua, portant le nom de "$name".

### Liste de paramètres

`name`

`function`

  Une fonction de rappel PHP valide

### Valeurs de retour

Retourne $this, `null` si de mauvais arguments sont passés, ou `false` si une erreur d'un autre type survient.

### Exemples

Exemple #1 Exemple avec Lua::registerCallback()

`<?php
$lua = new Lua();
$lua->registerCallback("echo", "var_dump");
$lua->eval(<<<CODE
echo({1, 2, 3});
CODE
);
?>`

L'exemple ci-dessus va afficher :

    array(3) {
      [1]=>
      float(1)
      [2]=>
      float(2)
      [3]=>
      float(3)
    }